# Draw
TKTopTest
GeometryTest

# GeometryTest Class Reference

this package provides commands for curves and
surface.

`#include <GeometryTest.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | AllCommands (Draw_Interpretor &I)
| defines all geometric commands.
static Standard_EXPORT void | CurveCommands (Draw_Interpretor &I)
| defines curve commands.
static Standard_EXPORT void | FairCurveCommands (Draw_Interpretor &I)
| defines fair curve commands.
static Standard_EXPORT void | SurfaceCommands (Draw_Interpretor &I)
| defines surface commands.
static Standard_EXPORT void | ConstraintCommands (Draw_Interpretor &I)
| defines cosntrained curves commands.
static Standard_EXPORT void | API2dCommands (Draw_Interpretor &I)
| defines commands to test the Geom2dAPI - Intersection - Extrema - Projection - Approximation, interpolation
static Standard_EXPORT void | APICommands (Draw_Interpretor &I)
| defines commands to test the Geom2dAPI - Intersection - Extrema - Projection - Approximation, interpolation
static Standard_EXPORT void | ContinuityCommands (Draw_Interpretor &I)
| defines commands to check local continuity between curves or surfaces
static Standard_EXPORT void | PolyCommands (Draw_Interpretor &I)
| defines command to test the polyhedral triangulations and the polygons from the Poly package.

## Member Function Documentation

static Standard_EXPORT void GeometryTest::AllCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void GeometryTest::API2dCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void GeometryTest::APICommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void GeometryTest::ConstraintCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void GeometryTest::ContinuityCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void GeometryTest::CurveCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void GeometryTest::FairCurveCommands | ( | Draw_Interpretor & | I | ) | `[static]`

void GeometryTest::operator delete | ( | void * | anAddress | ) | `[inline]`

void* GeometryTest::operator new | ( | size_t | size | ) | `[inline]`

void* GeometryTest::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void GeometryTest::PolyCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void GeometryTest::SurfaceCommands | ( | Draw_Interpretor & | I | ) | `[static]`

The documentation for this class was generated from the following file:

- GeometryTest.hxx